# NETSCAPE COMMUNICATIONS CORPORATION 
# 
# Copyright (c) 1998 Netscape Communications Corporation. All Rights
# Reserved. 
# 
# Use of this Source Code is subject to the terms of the applicable license
# agreement from Netscape Communications Corporation. 
# 
# The copyright notice(s) in this Source Code does not indicate actual or
# intended publication of this Source Code. 
#
# Sample Makefile for Netscape Messaging Server Webmail authSDK

# Name of the executable to build
TARGET=login.cgi

# Source files 
SRC=cgiauth.c

# Libraries we need
LIBDIRS=-L.
LIBS=-lexpress -lasync -lnspr3 -lplds3 -lplc3 -lldap412

# HPUX needs a few extra libraries
#LIBS+=-lpthread -lm

# Solaris needs a few extra libraries
LIBS+=-lsocket -lnsl -lthread -lposix4

# Headers we need
INCDIRS=-I.

# Defines we needs
DEFS=-DXP_UNIX

# set this so exes look in . for the lib by default
# Solaris
DYNAMIC_LIB_RUNTIME=-R .
# Linux
# DYNAMIC_LIB_RUNTIME=-Wl,-rpath .
# HPUX
# DYNAMIC_LIB_RUNTIME=-Wl,+b.


# Use one of the following
CC=cc

FLAGS= $(DEFS) $(LIBDIRS) $(LIBS) $(INCDIRS) $(DYNAMIC_LIB_RUNTIME)

all: $(TARGET)

$(TARGET): $(SRC)
	$(CC) $(FLAGS) -o $(TARGET) $(SRC)

clean:
	rm -f $(TARGET)

